Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Update Trigger Api V1 Workstreams Triggers Trigger Id Put

put/api/v1/workstreams/triggers/{trigger_id}

Update trigger

Update a trigger's configuration. **Authentication Required:** JWT Bearer token

Path parameters

trigger_idrequired
path
—

Request bodyapplication/json

FieldTypeDescription
namestring | nullTrigger name
configobject | nullTrigger configuration
is_activeboolean | nullWhether trigger is active

Responses

200Trigger updated successfully
FieldTypeDescription
idrequiredstring (uuid)Trigger UUID
blueprint_idrequiredstring (uuid)Parent workplan UUID
namerequiredstringTrigger name
typerequired"time_based" | "event_based" | "manual"Types of workflow triggers.
time_basedevent_basedmanual
configobjectTrigger configuration
show nested
Empty object.
is_activerequiredbooleanWhether trigger is active
last_fired_atstring (date-time) | nullLast trigger timestamp
next_fire_atstring (date-time) | nullNext scheduled trigger
created_atrequiredstring (date-time)Creation timestamp
updated_atrequiredstring (date-time)Last update timestamp
401Unauthorized
404Trigger not found
422Validation Error
FieldTypeDescription
detailValidationError[]—
item shape
curl https://api.dev.arch.ie/api/v1/workstreams/triggers/<trigger_id> \
  -X PUT \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "name": null,
       "config": null,
       "is_active": null
     }'
API Reference · Archie for developers